/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Ophthalmic Macular Grid Problem
 */
public enum EnumCV_OphthalmicMacularGridProblem {

	//Ophthalmic Macular Grid Problem - CID 4222
	CONSTRICTED_PUPIL_F_0123A("F-0123A"),
	LENS_OPACITY_DA_73402("DA-73402"),
	CORNEAL_OPACITY_DA_75300("DA-75300"),
	VITREOUS_OPACITY_DA_7931D("DA-7931D"),
	POOR_VISUAL_FIXATION_R_20839("R-20839"),
	EYELID_DISEASE_DA_76000("DA-76000"),
	INTERFERING_TEARS_OR_DROPS_111695("111695"),
	REFRACTIVE_ERROR_DA_74100("DA-74100"),
	PATIENT_POSITIONING_PROBLEM_111209("111209"),
	DRY_EYES_PROBLEM_F_F1722("F-F1722");

	private String value;

	EnumCV_OphthalmicMacularGridProblem(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
